Efebaba94
Posts: 2
Joined: Tue May 30, 2017 9:24 pm

Can we use Ramme on Raspbian

Tue May 30, 2017 9:27 pm

Is it possiable to use Ramme or another Instagram app on Raspbian ?

Ramme Link: https://github.com/terkelg/ramme/releases

ktb
Posts: 1447
Joined: Fri Dec 26, 2014 7:53 pm

Re: Can we use Ramme on Raspbian

Wed May 31, 2017 12:24 am

You can't use the Debian package they offer, but you could probably install it from source. Electron worked in general the last time I tried it on a Pi3B.

Efebaba94
Posts: 2
Joined: Tue May 30, 2017 9:24 pm

Re: Can we use Ramme on Raspbian

Thu Jun 01, 2017 12:17 pm

Thank you but i can't find how to compile source code with electron ?

ktb
Posts: 1447
Joined: Fri Dec 26, 2014 7:53 pm

Re: Can we use Ramme on Raspbian

Thu Jun 01, 2017 6:43 pm

Well, you seem to be asking for someone to write instructions for you. One reason that I'm reluctant to do so is because this often times requires me to install a fresh copy of Raspbian on a micro SD card so that I can work through everything that might be required. I'm not interested in burning through SD cards any faster than I already do (want to send me a free micro SD card? :) ). Also, I don't use Instagram.

I currently run Raspbian Stretch on my Pi3B and just briefly tested Ramme 3.2.3 which seems to work as far as I can tell (I didn't log in to Instagram).

Code: Select all

pi@raspberrypi:~/software/source/ramme $ wget https://github.com/terkelg/ramme/archive/v3.2.3.tar.gz
pi@raspberrypi:~/software/source/ramme $ tar xf v3.2.3.tar.gz
pi@raspberrypi:~/software/source/ramme $ cd ramme-3.2.3
pi@raspberrypi:~/software/source/ramme/ramme-3.2.3 $ npm install
pi@raspberrypi:~/software/source/ramme/ramme-3.2.3 $ npm start
Perhaps you can ask the Ramme developer(s) to distribute a Debian package for ARM.

If you are unsuccessful with getting it to work and can be patient, I might try getting it to work on a fresh Raspbian Jessie installation at some point.

thebeachtoday
Posts: 8
Joined: Wed Mar 22, 2017 11:49 pm

Re: Can we use Ramme on Raspbian

Wed Dec 06, 2017 2:41 pm

I am also looking for this if anyone has it. Would be great to use RPi as a web cam, then post to Instagram directly. I've tried compiling the code for a few hours, but it's over my head. Any help would be great.

All code: https://github.com/terkelg/ramme/releases
Source code: https://github.com/terkelg/ramme/archive/v3.2.2.tar.gz

I've tried compiling with npm install [and installed all dependencies required, but I'm still not getting anywhere.
cd /home/pi
wget https://github.com/terkelg/ramme/archive/v3.2.3.tar.gz
tar -xvzf v3.2.3.tar.gz
cd app
sudo apt-get install npm -y
cd /home/pi
sudo npm install -g gulp
sudo npm install babel-minify
sudo npm install
Errors here:
npm WARN deprecated babel-preset-babili@0.1.4: babili has been renamed to babel-minify. Please update to babel-preset-minify
npm WARN deprecated babili@0.1.4: babili has been renamed to babel-minify. Please update to babel-minify
npm WARN deprecated babel-preset-es2015@6.24.1: 🙌 Thanks for using Babel: we recommend using babel-preset-env now: please read babeljs.io/env to update!
npm ERR! git clone git@github.com:github:gulpjs/gulp Cloning into bare repository '/root/.npm/_git-remotes/git-github-com-github-gulpjs-gulp-e2adb3d8'...
npm ERR! git clone git@github.com:github:gulpjs/gulp Permission denied (publickey).
npm ERR! git clone git@github.com:github:gulpjs/gulp fatal: Could not read from remote repository.
npm ERR! git clone git@github.com:github:gulpjs/gulp
npm ERR! git clone git@github.com:github:gulpjs/gulp Please make sure you have the correct access rights
npm ERR! git clone git@github.com:github:gulpjs/gulp and the repository exists.
npm ERR! notarget No compatible version found: gulp@'github:gulpjs/gulp#4.0'
npm ERR! notarget Valid install targets:
npm ERR! notarget ["0.0.1","0.0.2","0.0.3","0.0.4","0.0.5","0.0.7","0.0.8","0.0.9","0.1.0","0.2.0","1.0.0","1.1.0","1.2.0","1.2.1","2.0.0","2.0.1","2.1.0","2.2.0","2.3.0","2.4.0","2.4.1","2.6.0","2.6.1","2.7.0","3.0.0","3.1.1","3.1.2","3.1.3","3.1.4","3.2.0","3.2.1","3.2.2","3.2.3","3.2.4","3.2.5","3.3.0","3.3.1","3.3.2","3.3.4","3.4.0","3.5.0","3.5.1","3.5.2","3.5.5","3.5.6","3.6.0","3.6.1","3.6.2","3.7.0","3.8.0","3.8.1","3.8.2","3.8.3","3.8.4","3.8.5","3.8.6","3.8.7","3.8.8","3.8.9","3.8.10","3.8.11","3.9.0","3.9.1"]
npm ERR! notarget
npm ERR! notarget This is most likely not a problem with npm itself.
npm ERR! notarget In most cases you or one of your dependencies are requesting
npm ERR! notarget a package version that doesn't exist.

npm ERR! System Linux 4.4.11-v7+
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /home/pi/ramme-3.2.3
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.21
npm ERR! code ETARGET
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/pi/ramme-3.2.3/npm-debug.log
npm ERR! not ok code 0

NOTE: Nothing additional in npm-debug.log

thebeachtoday
Posts: 8
Joined: Wed Mar 22, 2017 11:49 pm

Re: Can we use Ramme on Raspbian

Wed Dec 06, 2017 9:28 pm

Found a workaround:
Run Chromium in Incognito [i.e. SHIFT-CTRL-N] - normal Chromium will not work for some reason
Run Developer Tools [SHIFT-CTRL-I]
Run Mobile Tools [SHIFT-CTRL-M]
Use xdotools mousemove for the following:
Tap + [i.e. create new post]
Select Image
Tap Open
Tap Next
Enter Caption
Tap Share

I also delete the file after sharing so that the directory is always empty prior to posting a pic. This makes the selection easy. Create different directories for different scenarios [e.g. Customer 1 uploads a pic at 8am, Customer 2 at noon]. Easy Peasy.

I did find one thing: if the account logs in from a different device, then you get a security warning on your next Incognito log-in. I'm going to test this more, but it's best to NOT log into any other new devices while using Chromium Incognito.

Return to “Raspberry Pi OS”